package com.intershop.sellside.rest.mycoupon.v1.internal.modules;

import com.google.inject.AbstractModule;
import com.intershop.sellside.rest.mycoupon.v1.capi.request.mycoupon.MyCouponItemGetRequest;
import com.intershop.sellside.rest.mycoupon.v1.capi.request.mycoupon.MyCouponListGetRequest;
import com.intershop.sellside.rest.mycoupon.v1.capi.request.mycoupon.MyCouponListPostRequest;

public class AppSfRestMyCouponRequestModule extends AbstractModule
{
    @Override
    protected void configure()
    {
        /*
         * MyCoupon resource
         */
        bind(MyCouponListGetRequest.class);
        bind(MyCouponItemGetRequest.class);
        bind(MyCouponListPostRequest.class);

    }
}
